Lumaktaw sa nilalaman

MoonDreamNext Detection

I-integrate

ID ng modelo moondream-next/detection
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/moondream-next/detection?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "task_type": "bbox_detection",
    "detection_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Kahilingang ito: ≈$0.002 2 kredito ng API Patakbuhin ito sa page na ito

Kumuha ng API key
Moondream Pag-edit ng Larawan #multimodal

Nagsasagawa ng bounding-box, point o gaze detection sa larawan at iginuguhit ang resulta

Moondream · Larawan

Dito mapupunta ang iyong unang resulta

Bumuo ng kahilingan sa ibaba at patakbuhin ito gamit ang iyong API key. Kinokopya ang mga output sa aming storage, na pinananatili nang walang hanggan o 7 araw nang libre.

Bumuo ng kahilingan

Ang mga control ay binubuo mula sa schema ng modelo. Nagbabago ang code at presyo habang ina-adjust mo ang mga ito.

•kinakailangan

Text na naglalarawan sa target na ide-detect.

•kinakailangan image_url
Mag-drop ng file, o

URL na tumutukoy sa larawang ipoproseso.

task_type •kinakailangan

Detection task na isasagawa.

advanced use_ensemble · combine_points · show_visualization
POST /run/moondream-next/detection?wait=20 presyo → $0.002
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/moondream-next/detection?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "task_type": "bbox_detection",
    "detection_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Patakbuhin ang kahilingang ito

Nananatili ang iyong key sa browser na ito: ipinapadala lamang ito sa Doitong API at sine-save (localStorage) lamang kung pipiliin mo ang Tandaan. Kumuha ng API key

Tungkol sa MoonDreamNext Detection

Itakda ang `task_type` sa bbox_detection, point_detection o gaze_detection, at ilarawan ang target sa `detection_prompt`. Kasama sa mga opsyon ang `use_ensemble` para sa pagtukoy ng direksyon ng tingin at `combine_points` para sa pagtukoy ng mga punto. Nagbabalik ito ng larawang may biswal na representasyon (i-toggle gamit ang `show_visualization`) at ng mga resulta bilang teksto.

Mga parameter

Ipadala ang canonical na pangalan o ang native na pangalan, hindi pareho. Mga canonical na pangalan

PangalanUri defaultPinapayagan Paglalarawan
image_urlkinakailangan image
Uriurl · image
URL na tumutukoy sa larawang ipoproseso.
task_typekinakailangan
Urienum
bbox_detectionpoint_detectiongaze_detection
Detection task na isasagawa.
detection_promptkinakailangan
Uristring
Text na naglalarawan sa target na ide-detect.
use_ensembleopsyonal
Uriboolean
defaultfalse
Kinokontrol ang paggamit ng ensemble para sa gaze detection.
combine_pointsopsyonal
Uriboolean
defaultfalse
Tinutukoy kung pagsasamahin ng point detection ang mga na-detect na point sa isang point. Hindi naaapektuhan ng setting ang bbox o gaze detection.
show_visualizationopsyonal
Uriboolean
defaulttrue
Kinokontrol kung ipapakita nang biswal ang mga resulta ng detection.
kinakailangan Canonical na pangalan, tinatanggap din

Tumatanggap ang mga parameter ng file ng pampublikong https:// URL, data: URI na hanggang 10 MB, o file_url ng isang upload. Mga file

Output

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "moondream-next/detection",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2,
    "usd": "0.002",
    "charged": 2,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "task_type": "bbox_detection",
    "detection_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "text_output": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Ikaw ang pumipili para sa iyong mga fileAng bawat outputs[].url ay kopya sa aming storage: pinananatili nang walang hanggan (sinisingil bawat GB-month) o 7 araw nang libre, ayon sa setting ng iyong account o ?storage=.
Parehong shape sa bawat modelotype, url, content_type, width, height at duration, para sa mga larawan, video at audio. Ang output ay sariling result object ng modelo.
Mga field ng output
image
object {url, content_type, file_name, file_size, width, height} | nullOutput na larawan na nagpapakita ng mga resulta ng detection.
text_output
stringText na representasyon ng mga resulta ng detection.

Higit pang modelo: Pag-edit ng Larawan

Para sa mga AI agent: nasa Markdown ang pahinang ito sa https://doitong.com/fil/developers/models/moondream-next/detection.md. Lahat ng modelo at gabay: https://doitong.com/developers/llms.txt